Update a Profile

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

application/json

Body

  • name string
  • address1 string
  • address2 string
  • city string
  • zip string
  • state string
  • country string
  • phone string
  • fax string
  • email string
  • max_user number
  • max_page number
  • is_active boolean
  • time_zone string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated profile id

PUT /profiles/{profile_id}
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "address1": "13665 Dulles Technology Dr., Suite 110",
  "address2": "",
  "city": "Herndon",
  "zip": "20171",
  "state": "VA",
  "country": "USA",
  "phone": "1-866-ZERION-1"
}'
Request example
{
  "address1": "13665 Dulles Technology Dr., Suite 110",
  "address2": "",
  "city": "Herndon",
  "zip": "20171",
  "state": "VA",
  "country": "USA",
  "phone": "1-866-ZERION-1"
}
Response examples (200)
{
  "id": 161521
}